Package org.apache.lucene.backward_codecs.lucene50.compressing

## Class Lucene50CompressingStoredFieldsReader

- java.lang.Object
- - org.apache.lucene.index.StoredFields
  - - org.apache.lucene.codecs.StoredFieldsReader
    - - org.apache.lucene.backward_codecs.lucene50.compressing.Lucene50CompressingStoredFieldsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Cloneable`

      public final class Lucene50CompressingStoredFieldsReader
      extends StoredFieldsReader

  `StoredFieldsReader` impl for `Lucene50CompressingStoredFieldsFormat`.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `FIELDS_EXTENSION` | Extension of stored fields file
    `static String` | `INDEX_CODEC_NAME` | Codec name for the index.
    `static String` | `INDEX_EXTENSION` | Extension of stored fields index
    `static String` | `META_EXTENSION` | Extension of stored fields meta

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Lucene50CompressingStoredFieldsReader​(Directory d, SegmentInfo si, String segmentSuffix, FieldInfos fn, IOContext context, String formatName, CompressionMode compressionMode)` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` |
    `StoredFieldsReader` | `clone()` |
    `void` | `close()` | Close the underlying `IndexInput`s.
    `void` | `document​(int docID, StoredFieldVisitor visitor)` |
    `StoredFieldsReader` | `getMergeInstance()` |
    `String` | `toString()` |

    - ### Methods inherited from class org.apache.lucene.index.StoredFields

      `document, document`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS_EXTENSION

          public static final String FIELDS_EXTENSION

      Extension of stored fields file
      See Also:
        Constant Field Values

    - #### INDEX_EXTENSION

          public static final String INDEX_EXTENSION

      Extension of stored fields index
      See Also:
        Constant Field Values

    - #### META_EXTENSION

          public static final String META_EXTENSION

      Extension of stored fields meta
      See Also:
        Constant Field Values

    - #### INDEX_CODEC_NAME

          public static final String INDEX_CODEC_NAME

      Codec name for the index.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Lucene50CompressingStoredFieldsReader

          public Lucene50CompressingStoredFieldsReader​(Directory d,
                                                       SegmentInfo si,
                                                       String segmentSuffix,
                                                       FieldInfos fn,
                                                       IOContext context,
                                                       String formatName,
                                                       CompressionMode compressionMode)
                                                throws IOException

      Sole constructor.
      Throws:
        `IOException`

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Close the underlying `IndexInput`s.
      Throws:
        `IOException`

    - #### document

          public void document​(int docID,
                               StoredFieldVisitor visitor)
                        throws IOException

      Specified by:
        `document` in class `StoredFields`
      Throws:
        `IOException`

    - #### clone

          public StoredFieldsReader clone()

      Specified by:
        `clone` in class `StoredFieldsReader`

    - #### getMergeInstance

          public StoredFieldsReader getMergeInstance()

      Overrides:
        `getMergeInstance` in class `StoredFieldsReader`

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `StoredFieldsReader`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`